Package org.codehaus.janino

# Interface Visitor.ArrayInitializerOrRvalueVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.ArrayInitializerOrRvalueVisitor<R,EX extends Throwable>
The visitor for `Java.ArrayInitializerOrRvalue`.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitArrayInitializer(Java.ArrayInitializer ai)`
`R`
`visitRvalue(Java.Rvalue rvalue)`

## Method Details

### visitArrayInitializer

@Nullable R visitArrayInitializer(Java.ArrayInitializer ai) throws EX

Throws:
  `EX`

### visitRvalue

@Nullable R visitRvalue(Java.Rvalue rvalue) throws EX

Throws:
  `EX`